<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.8) on Mon Nov 30 13:15:36 CET 2020 -->
<title>StimuliBuilder</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-11-30">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">

</head>
<body>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.eclipse.app4mc.amalthea.model.builder</a></div>
<h2 title="Class StimuliBuilder" class="title">Class StimuliBuilder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>StimuliBuilder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">StimuliBuilder</span>
extends Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">StimuliBuilder</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#clockStepList(org.eclipse.app4mc.amalthea.model.StimuliModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">clockStepList</a></span>&#8203;(StimuliModel&nbsp;container,
             Procedures.Procedure1&lt;ClockStepList&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#periodicStimulus(org.eclipse.app4mc.amalthea.model.StimuliModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">periodicStimulus</a></span>&#8203;(StimuliModel&nbsp;container,
                Procedures.Procedure1&lt;PeriodicStimulus&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#variableRateStimulus(org.eclipse.app4mc.amalthea.model.StimuliModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">variableRateStimulus</a></span>&#8203;(StimuliModel&nbsp;container,
                    Procedures.Procedure1&lt;VariableRateStimulus&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>StimuliBuilder</h4>
<pre>public&nbsp;StimuliBuilder()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="periodicStimulus(org.eclipse.app4mc.amalthea.model.StimuliModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>periodicStimulus</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;periodicStimulus&#8203;(StimuliModel&nbsp;container,
                             Procedures.Procedure1&lt;PeriodicStimulus&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="variableRateStimulus(org.eclipse.app4mc.amalthea.model.StimuliModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>variableRateStimulus</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;variableRateStimulus&#8203;(StimuliModel&nbsp;container,
                                 Procedures.Procedure1&lt;VariableRateStimulus&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="clockStepList(org.eclipse.app4mc.amalthea.model.StimuliModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>clockStepList</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;clockStepList&#8203;(StimuliModel&nbsp;container,
                          Procedures.Procedure1&lt;ClockStepList&gt;&nbsp;initializer)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
